CREATE TABLE hz_class_codes_int (
    BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    INTERFACE_ROW_ID             NUMBER(18, 0)    NOT NULL,
    IMPORT_STATUS_CODE           VARCHAR2(120),
    ACTION_CODE                  VARCHAR2(120),
    INTERNAL_ACTION_CODE         VARCHAR2(120),
    FILE_RECORD_NUM              NUMBER(10, 0),
    FILE_NAME_SYSTASK_ID         NUMBER(18, 0),
    REQUEST_ID                   NUMBER(18, 0),
    CREATED_BY                   VARCHAR2(256),
    CREATION_DATE                TIMESTAMP(6) ,
    LAST_UPDATED_BY              VARCHAR2(256),
    LAST_UPDATE_DATE             TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CLASS_CATEGORY               VARCHAR2(120),
    CLASS_CODE                   VARCHAR2(120),
    MEANING                      VARCHAR2(320),
    DESCRIPTION                  VARCHAR2(960),
    PARENT_CLASS_CODE            VARCHAR2(120),
    MODIFY_HIERARCHY             VARCHAR2(4)  ,
    CLASS_CODE_NODE_ID           VARCHAR2(128),
    PARENT_CLASS_CODE_NODE_ID    VARCHAR2(128),
    BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    INTERFACE_ROW_ID             NUMBER(18, 0)    NOT NULL,
    IMPORT_STATUS_CODE           VARCHAR2(120),
    ACTION_CODE                  VARCHAR2(120),
    INTERNAL_ACTION_CODE         VARCHAR2(120),
    FILE_RECORD_NUM              NUMBER(10, 0),
    FILE_NAME_SYSTASK_ID         NUMBER(18, 0),
    REQUEST_ID                   NUMBER(18, 0),
    CREATED_BY                   VARCHAR2(256),
    CREATION_DATE                TIMESTAMP(6) ,
    LAST_UPDATED_BY              VARCHAR2(256),
    LAST_UPDATE_DATE             TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CLASS_CATEGORY               VARCHAR2(120),
    CLASS_CODE                   VARCHAR2(120),
    MEANING                      VARCHAR2(320),
    DESCRIPTION                  VARCHAR2(960),
    PARENT_CLASS_CODE            VARCHAR2(120),
    MODIFY_HIERARCHY             VARCHAR2(4)  ,
    CLASS_CODE_NODE_ID           VARCHAR2(128),
    PARENT_CLASS_CODE_NODE_ID    VARCHAR2(128)
);
